import {int, sqliteTable, text} from 'drizzle-orm/sqlite-core'

export const tasksTable = sqliteTable('Task', {
  id: int().primaryKey({autoIncrement: true}),
  name: text().notNull(),
  completed: int({mode: 'boolean'}).notNull().default(false),
})
